## EMBOSS: alignwrap

# Program alignwrap

## Function

Aligns a set of sequences to a seed alignment

## Description

This is part of Jon Ison's protein structure analysis package.

This package is still being developed.

Please ignore this program until further details can be documented.

All further queries should go to Jon Ison. (Jon Ison)

## Usage

Here is a sample session with alignwrap:

    % alignwrap

## Command line arguments

       Mandatory qualifiers:
       -inpath             string     Directory containing the seed alignments
                                      (input)
       -extn               string     File extention of seed alignment files
                                      (input)
       -scopfamilies       string     scop families file containing the set of
                                      sequences in EMBL-like format
       -outpath            string     Directory for extended alignments (output)
       -outextn            string     File extention of extended alignment files
                                      (output)

       Optional qualifiers: (none)
       Advanced qualifiers: (none)
       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
-inpath | Directory containing the seed alignments (input) | Any string is accepted | ./
-extn | File extention of seed alignment files (input) | Any string is accepted | .align
-scopfamilies | scop families file containing the set of sequences in EMBL-like format | Any string is accepted | An empty string is accepted
-outpath | Directory for extended alignments (output) | Any string is accepted | ./tmp/
-outextn | File extention of extended alignment files (output) | Any string is accepted | .extalign
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
(none)

## Input file format

## Output file format

## Data files

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
est2genome | Align EST and genomic DNA sequences
needle | Needleman-Wunsch global alignment
stretcher | Finds the best global alignment between two sequences

## Author(s)

This application was written by Jon Ison (jison@hgmp.mrc.ac.uk)

## History

Written (date) - author.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments